﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;


using System.Windows.Input;



namespace AudioPlayer {
    public class MyCommands {
        
        private static RoutedUICommand dos;

        private static RoutedUICommand rename;

        private static RoutedUICommand find;

        private static RoutedUICommand skip_previous;
        private static RoutedUICommand previoustime;
        private static RoutedUICommand pause;
        private static RoutedUICommand play;
        private static RoutedUICommand stop;
        private static RoutedUICommand nexttime;
        private static RoutedUICommand skip_next;


        static MyCommands() {

            dos = new RoutedUICommand("CMD.EXE", "dos", typeof(MyCommands));
            dos.InputGestures.Add(new KeyGesture(Key.D, ModifierKeys.Control));

            rename = new RoutedUICommand("Rename", "rename", typeof(MyCommands));
            rename.InputGestures.Add(new KeyGesture(Key.F2, ModifierKeys.None));

            find = new RoutedUICommand("Find", "find", typeof(MyCommands));
            find.InputGestures.Add(new KeyGesture(Key.F, ModifierKeys.Control));


            skip_previous = new RoutedUICommand("skip_previous", "skip_previous", typeof(MyCommands));
            pause = new RoutedUICommand("pause", "pause", typeof(MyCommands));
            play = new RoutedUICommand("play", "play", typeof(MyCommands));
            stop = new RoutedUICommand("stop", "stop", typeof(MyCommands));
            skip_next = new RoutedUICommand("skip_next", "skip_next", typeof(MyCommands));

            previoustime = new RoutedUICommand("previoustime", "previoustime", typeof(MyCommands));
            nexttime = new RoutedUICommand("nexttime", "nexttime", typeof(MyCommands));

        }




        public static RoutedUICommand Dos {
            get { return dos; }
        }


        public static RoutedUICommand Rename {
            get { return rename; }
        }
        public static RoutedUICommand Find {
            get { return find; }
        }



    public static RoutedUICommand Skip_previous {
        get { return skip_previous; }
    }
        
    public static RoutedUICommand Previoustime {
            get { return previoustime; }
        }

        public static RoutedUICommand Pause {
        get { return pause; }
    }


    public static RoutedUICommand Play {
        get { return play; }
    }


    
    public static RoutedUICommand Stop {
        get { return stop; }
    }

        public static RoutedUICommand Nexttime {
            get { return nexttime; }
        }


        public static RoutedUICommand Skip_next {
        get { return skip_next; }
    }


}
}

