﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace AudioPlayer.Tools {
    /// <summary>
    /// Interaction logic for WReadString.xaml
    /// </summary>
    public partial class WReadString : Window {

        private bool retcode = false;

        public bool Retcode {
            get { return retcode; }
        }

        public String Input {
            get { return tInput.Text.Trim(); }
        }

        public WReadString(Window parent, String caption, String itemcaption, String input) {
            InitializeComponent();
            Title = caption;
            labelTitel.Content = caption;
            labelItem.Content = itemcaption;
            tInput.Text = input;
            this.Owner = parent;  // Important, because CenterOwner      
            this.WindowStartupLocation = WindowStartupLocation.CenterOwner;
        }

        private void Window_Loaded(object sender, RoutedEventArgs e) {
            tInput.Focus();
        }

        private void bnOk_Click(object sender, RoutedEventArgs e) {
            retcode = true;
                Close();
        }

        private void bnEsc_Click(object sender, RoutedEventArgs e) {
            Close();
        }

        private void Window_KeyDown(object sender, KeyEventArgs e) {
            if (Keyboard.IsKeyDown(Key.Return)) {
                bnOk_Click(sender, e);
            }
            if (Keyboard.IsKeyDown(Key.Escape)) {
                bnEsc_Click(sender, e);
            }
        }

    }
}
